mongodb

Stackato 2.10.X MongoDB Client version in containers is outdated

Question: 

I've noticed that the version of MongoDB client that gets deployed to Stackato containers used by 'stackato dbshell' is 2.0.4. Is there any way to update this?

Answer: 

We've created a patch for 2.10.4 and 2.10.6 to update the MongoDB client in the container to 2.4.1. Instructions to follow

##2.10.4
You can download the patch from http://get.stackato.com/patch/2.10/stackato-2.10.4-mongodb-client-versio.... You'll need to copy it to the node you have running the MongoDB role. Once you've uploaded the patch you can install it via 'sh stackato-2.10.4-mongodb-client-version.sh'. This patch does not require a restart of any roles. Note that this will not update the client version in any already-running mongodb services. These will need to be redeployed.

##2.10.6
This patch is available via kato patch. You will need to update your patch manifest via 'kato patch status'. Once you've updated the manifest you can install the patch to all of your nodes via 'kato patch install'. You will be prompted for sudo passwords for your nodes.